cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Mao <james....@iona.com>
Subject Re: Eclipse 3.0/3.1 support (Re: svn commit: r494311 - in /incubator/cxf/trunk: codegen-plugin/src/main/java/org/apache/cxf/maven_plugin/eclipse/ codegen-plugin/src/main/java/org/apache/cxf/maven_plugin/eclipse/3.1/ common/common/src/main/java/org/apache/cxf/common/util/ tools/eclipse...)
Date Mon, 15 Jan 2007 15:27:12 GMT
Hi Adrian,

I don't know if there's any difference of the plugin format between 3.1 
or 3.2?
The format i just used is 3.1 compliant.
Anyway, feel free to fire a jira, and include the format of the eclipse 
3.2 plugin.

I'll remove both 3.0 and 3.1 formats when STP feel it's time to switch.

Thanks,
James.

Adrian Skehill wrote:
> Not sure I fully understand what's happening here, STP uses Eclipse 
> 3.2 and I'm pretty sure certainly wont run in eclipse 3.0 or 3.1.
>
> Adrian.
>
> Mao, Maode (James) wrote:
>> Yes, we would remove eclipse 3.0 eventually, but currently the STP 
>> build system still depends on 3.0
>> After the STP build switch to 3.1 we can safely remove the 3.0
>>
>> Thanks for the remainder, i should include this info into the log ;)
>>
>> Cheers,
>> James.
>>
>>
>> -----Original Message-----
>> From: Daniel Kulp [mailto:daniel.kulp@iona.com]
>> Sent: Tue 1/9/2007 3:50 PM
>> To: cxf-dev@incubator.apache.org
>> Subject: Eclipse 3.0/3.1 support (Re: svn commit: r494311 - in 
>> /incubator/cxf/trunk: 
>> codegen-plugin/src/main/java/org/apache/cxf/maven_plugin/eclipse/ 
>> codegen-plugin/src/main/java/org/apache/cxf/maven_plugin/eclipse/3.1/ 
>> common/common/src/main/java/org/apache/cxf/common/util/ 
>> tools/eclipse...)
>>  
>>
>>
>>
>> On Monday 08 January 2007 22:48, mmao@apache.org wrote:
>>> Author: mmao
>>> Date: Mon Jan  8 19:48:09 2007
>>> New Revision: 494311
>>>
>>> URL: http://svn.apache.org/viewvc?view=rev&rev=494311
>>> Log:
>>> Maven plugin to generate the Eclipse plugin now support Eclipse 
>>> version 3.1
>>>
>>
>>
>> Is there any reason to keep support for 3.0?   The only user of this 
>> stuff (as far as I know) is the STP project and they aren't 
>> supporting 3.0.   Thus, I would say remove the 3.0 stuff.
>>
>> Thoughts?
>>
>


Mime
View raw message